List manual cost distribution policies
1 min
GET
https://app.amberflo.io/business-unit/focus-allocation/manual
Query Parameters
- limitinteger<int32>Description
- pageinteger<int32>Description
- providersstring[]Description
- servicesstring[]Description
- timeInSecondsinteger<int64>Description
- startTimeInSecondsinteger<int64>Description
- endTimeInSecondsinteger<int64>Description
Responses
200
- business_unit.focus_allocation.manual.query.ManualFocusAllocationPolicyPage.outDescription
- metadatabusiness_unit.focus_allocation.manual.query.ManualFocusAllocationPolicyPageMetadata.outDescription
- limitinteger<int32>Description
- pageinteger<int32>Description
- providersfocus.common.FocusProvider.out[]Description
- servicesstring[]Description
- timeInSecondsinteger<int64>Description
- startTimeInSecondsinteger<int64>Description
- endTimeInSecondsinteger<int64>Description
- totalRowCountinteger<int32>Description
- filteredRowCountinteger<int32>Description
- totalFilteredPagesinteger<int32>Description
- itemsbusiness_unit.focus_allocation.manual.ManualFocusAllocationPolicy.out[]Description
- providerfocus.common.FocusProvider.outrequiredDescription
- servicestringrequiredDescription
- policybusiness_unit.focus_allocation.manual.rules.SimpleDistributionRule.outrequiredDescription
- typestringrequiredDescriptionDefaultsimple_distribution
- allocationsmap<string, number>requiredDescription
- startTimeInSecondsinteger<int64>requiredDescription
- endTimeInSecondsinteger<int64>Description
- createTimeInMillisinteger<int64>Description
- updateTimeInMillisinteger<int64>Description
curl
curl --request GET \
--url https://app.amberflo.io/business-unit/focus-allocation/manual \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/business-unit/focus-allocation/manual", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/business-unit/focus-allocation/manual")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/business-unit/focus-allocation/manual"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"metadata": {
"limit": "",
"page": "",
"providers": [
""
],
"services": [
""
],
"timeInSeconds": "",
"startTimeInSeconds": "",
"endTimeInSeconds": "",
"totalRowCount": "",
"filteredRowCount": "",
"totalFilteredPages": ""
},
"items": [
{
"provider": "",
"service": "",
"policy": {
"type": "",
"allocations": ""
},
"startTimeInSeconds": "",
"endTimeInSeconds": "",
"createTimeInMillis": "",
"updateTimeInMillis": ""
}
]
}